=== examples/wayland/custom-extension/CMakeLists.txt ===
# Generated from custom-extension.pro.

qt_internal_add_example(qml-client)
qt_internal_add_example(compositor)
qt_internal_add_example(cpp-client)
