=== tests/auto/client/xdgdecorationv1/CMakeLists.txt ===
# Generated from xdgdecorationv1.pro.

#####################################################################
## tst_xdgdecorationv1 Test:
#####################################################################

qt_internal_add_test(tst_xdgdecorationv1
    SOURCES
        tst_xdgdecorationv1.cpp
    PUBLIC_LIBRARIES
        SharedClientTest
)
