=== debian/changelog ===
qt6-wayland (6.2.4-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.2.4).
  * Bump Qt B-Ds to 6.2.4.
  * Update list of installed files.
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Wed, 30 Mar 2022 21:07:22 +0200

qt6-wayland (6.2.2-3) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Tue, 15 Feb 2022 22:23:13 +0100

qt6-wayland (6.2.2-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Sat, 01 Jan 2022 18:26:54 +0100

qt6-wayland (6.2.2-1) experimental; urgency=medium

  * Initial release (Closes: #999898)

 -- Patrick Franz <deltaone@debian.org>  Thu, 18 Nov 2021 09:15:34 +0100
