## qt6-wayland 6.3.1

=== debian/changelog ===
qt6-wayland (6.3.1-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Mon, 15 Aug 2022 19:24:06 +0200

qt6-wayland (6.3.1-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.3.1).
  * Bump Qt B-Ds to 6.3.1.
  * Bump Standards-Version to 4.6.1 (no changes needed).
  * Update list of installed files.

 -- Patrick Franz <deltaone@debian.org>  Sun, 17 Jul 2022 19:37:47 +0200

qt6-wayland (6.3.0-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Sun, 19 Jun 2022 14:12:52 +0200

qt6-wayland (6.3.0-1) experimental; urgency=medium

  * New upstream release.
    - Update the .install files.
  * Add my name to Uploaders.
  * Bump build dependencies to grab 6.3.0.

 -- Simon Quigley <tsimonq2@debian.org>  Fri, 17 Jun 2022 21:11:54 -0500

qt6-wayland (6.2.4-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Fri, 22 Apr 2022 20:07:50 +0200
