=== examples/wayland/custom-shell/CMakeLists.txt ===
qt_internal_add_example(client-plugin)
qt_internal_add_example(compositor)
