=== debian/changelog ===
qt6-wayland (6.4.2-1~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 20 Nov 2024 21:04:06 -0800

qt6-wayland (6.4.2-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.
  * Update symbols files with current build log.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Mon, 06 Feb 2023 10:29:15 -0300

qt6-wayland (6.4.2-1) unstable; urgency=medium

  * Team upload.
  * Add libwayland-dev as qt6-wayland-dev dependency, as CMake files look for
    its presence.
  * Switch to the official 6.4.2 tarball, the tarball is the same.
  * Install private components, which are not tied to private headers and
    required by the main, public components (Closes: #1029098).
    Thanks Rodney Dawes for the bug report!
    https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=1013222#50

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Tue, 17 Jan 2023 14:44:16 -0300

qt6-wayland (6.4.2~rc1-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Fri, 30 Dec 2022 16:59:20 +0100

qt6-wayland (6.4.2~rc1-1) experimental; urgency=medium

  [ Lu YaNing ]
  * New upstream release (6.4.1).
  * Bump Qt B-Ds to 6.4.1.
  * Update debian/copyright.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * New upstream release 6.4.2.
    - Bump Qt build dependencies.
  * Bump standards version to 4.6.2, no changes required.

 -- Patrick Franz <deltaone@debian.org>  Tue, 27 Dec 2022 22:28:01 +0100

qt6-wayland (6.4.0-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Enable link time optimization (Closes: #1015627).
  * Fix FTCBFS, thx to Helmut Grohne (Closes: #1023088):
    + Pass QT_HOST_PATH and QT_HOST_PATH_CMAKE_DIR.
    + Depend on a native version of ourselves.
    + qt6-wayland-dev needs to depend on qt6-wayland-dev-tools.
    + Do build tools when cross compiling.

 -- Patrick Franz <deltaone@debian.org>  Sat, 05 Nov 2022 11:03:07 +0100

qt6-wayland (6.4.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.4.0).
  * Bump Qt B-Ds to 6.4.0.
  * Increase CMake verbosity level.
  * Bump minimum CMake version in order to get pkg-config's .pc files.
  * Update list of installed files.
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Thu, 13 Oct 2022 12:33:04 +0200

qt6-wayland (6.3.1-2~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.
  * Bump minimum CMake version in order to get pkg-config's .pc files.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Tue, 06 Sep 2022 17:25:28 -0300

qt6-wayland (6.2.4-2~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.
  * Add myself to Uploaders, only for bullseye-backports.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Fri, 29 Apr 2022 11:18:11 -0300
